QGIS Application - Feature request #15469
ST_Dump for virtual layers
2016-08-21 01:19 AM - R. R.

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23395
Description

As far as | know SpatiaLite doesn't support converting multi-geometries into single-geometries (see also:

http://gis.stackexchange.com/a/55074). Is there any way to implement this feature in the QGIS virtual layer query dialog?

History

#1 - 2016-08-21 01:20 AM - R. R.
- File 15469.zip added
- File 15469.png added

#2 - 2016-08-21 01:21 AM - R. R.
™ Query
I SELECT
--row_number () over(} AS gid, /*How to create a serial value in Spatialite/SQLite?*/
subquery .geom
FROM
- (SELECT

/*ST_Dump (*/ST_Intersection(layer_b.geometry, layer_a.geometry)/*)*/ AS geom
FROM “layer a', “layer b"

WHERE ST Intersects(layer a.geometry, layer b.geometry) AND NOT ST Touches(layer a.geometry, layer b.

geometry)
) AS subquery;
#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
